﻿@{
    ViewBag.Title = "Edit Event";
}
@model CalendarNoLogin.Controllers.EditEventViewModel
<div>
    <table>
        <tr>
            <td>
                Event title:
            </td>
            <td>
                <input type="hidden" id="EventTimeStamp" />
                <input type="hidden" id="EventId" name="EventId" />
                <input type="text" id="EventName" name="EventName" />
            </td>
        </tr>
        <tr>
            <td>
                Date
            </td>
            <td>
                <input class="datepicker" data-date-format="mm/dd/yyyy" id="EventDate">
            </td>
        </tr>
        <tr>
            <td>
                Begin Time
            </td>
            <td>
                <div class='input-group date' id='datetimepicker3'>
                    <input type='text' class="form-control" id="BeginTime" />
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-time"></span>
                    </span>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                End time
            </td>
            <td>
                <div class='input-group date' id='datetimepicker4'>
                    <input type='text' class="form-control" id="EndTime" />
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-time"></span>
                    </span>
                </div>
            </td>
        </tr>

        <tr>
            <td>
                Choose User
            </td>
            <td height="100px">
                <table>
                    @foreach (var user in Model.AvailableUsers)
                    {
                        <tr>
                            <td>
                                <input type="text" value="@user.login" disabled="disabled" />
                            </td>
                            <td>
                                <input type="checkbox" checked="@user.selected.ToString()" disabled="disabled" />
                            </td>
                        </tr>
                    }
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <input type="submit" name="BtnSubmit" value="Save Employee" onclick="SaveNewEvent();" />
                @if (Model.AcceptDecision)
                {
                    <input type="button" onclick="AcceptInvitation()" value="accept invitation" />
                    <input type="button" onclick="DenyInvitation()" value="leave invitation" />
                }
                <input type="submit" value="Remove Event" onclick="RemoveEvent('@Model.ID')" />
            </td>
        </tr>
    </table>
</div>
<script type="text/javascript">
    $('#EventId').val('@Model.ID');
    $('#EventName').val('@Model.Title');
    $('#EventDate').val('@Model.Begin');
    $('#BeginTime').val('@Model.BeginTime');
    $('#EndTime').val('@Model.End');
    $('#EventTimeStamp').val('@Model.EventTimeStamp')
    $("#mysuperpicker").selectpicker('render');
    $('.datepicker').datepicker({
        format: 'mm/dd/yyyy',
        enableOnReadonly: true
    });
    $('#datetimepicker3').datetimepicker({
        format: 'LT'
    });
    $('#datetimepicker4').datetimepicker({
        format: 'LT'
    });
</script>